log4shib 2.0.0

Classes | Namespaces | Typedefs | Functions
BoostThreads.hh File Reference
`#include <log4shib/Portability.hh>`
`#include <boost/thread/thread.hpp>`
`#include <boost/thread/mutex.hpp>`
`#include <boost/thread/tss.hpp>`
`#include <cstdio>`
`#include <string>`
Include dependency graph for BoostThreads.hh:

Go to the source code of this file.

## Classes
class | log4shib::threading::ThreadLocalDataHolder< T >
| This class holds Thread local data of type T, i.e. More...

## Namespaces
namespace | log4shib
| The top level namespace for all 'Log for C++' types and classes.
namespace | log4shib::threading

## Typedefs
typedef boost::mutex | log4shib::threading::Mutex
| Dummy type 'int' for Mutex. More...
typedef boost::mutex::scoped_lock | log4shib::threading::ScopedLock
| Dummy type 'int' defintion of ScopedLock;. More...

## Functions
static std::string | log4shib::threading::getThreadId ()
| Return an identifier for the current thread. More...